## django-downloadview 2.4.0

=== Makefile ===
# Reference card for usual actions in development environment.
#
# For standard installation of django-downloadview as a library, see INSTALL.
#
# For details about django-downloadview's development environment, see
# CONTRIBUTING.rst.
#
PIP = pip
TOX = tox
BLACK = black
ISORT = isort

#: help - Display callable targets.
.PHONY: help
help:
	@echo "Reference card for usual actions in development environment."
	@echo "Here are available targets:"
	@egrep -o "^#: (.+)" [Mm]akefile  | sed 's/#: /* /'


#: develop - Install minimal development utilities.
.PHONY: develop
develop:
	$(PIP) install -e .


#: clean - Basic cleanup, mostly temporary files.
.PHONY: clean
clean:
	find . -name "*.pyc" -delete
	find . -name '*.pyo' -delete
	find . -name "__pycache__" -delete


#: distclean - Remove local builds, such as *.egg-info.
.PHONY: distclean
distclean: clean
	rm -rf *.egg
	rm -rf *.egg-info
	rm -rf demo/*.egg-info


#: maintainer-clean - Remove almost everything that can be re-generated.
.PHONY: maintainer-clean
maintainer-clean: distclean
	rm -rf build/
	rm -rf dist/
	rm -rf .tox/


#: test - Run test suites.
.PHONY: test
test:
	mkdir -p var
	$(PIP) install -e .[test]
	$(TOX)


#: documentation - Build documentation (Sphinx, README, ...)
.PHONY: documentation
documentation: sphinx readme


#: sphinx - Build Sphinx documentation (docs).
.PHONY: sphinx
sphinx:
	$(TOX) -e sphinx


#: readme - Build standalone documentation files (README, CONTRIBUTING...).
.PHONY: readme
readme:
	$(TOX) -e readme


#: demo - Setup demo project.
.PHONY: demo
demo:
	pip install -e .
	pip install -e demo
	demo migrate --noinput
	# Install fixtures.
	mkdir -p var/media/object var/media/object-other/ var/media/nginx
	cp -r demo/demoproject/fixtures/* var/media/object/
	cp -r demo/demoproject/fixtures/* var/media/object-other/
	cp -r demo/demoproject/fixtures/* var/media/nginx/
	demo loaddata demo.json


#: runserver - Run demo server.
.PHONY: runserver
runserver: demo
	demo runserver

.PHONY: black
black:
	$(BLACK) demo tests django_downloadview

.PHONY: isort
isort:
	$(ISORT) --recursive django_downloadview tests demo

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../var/docs

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-downloadview.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-downloadview.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-downloadview"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-downloadview"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-downloadview 1.8

=== debian/changelog ===
django-downloadview (1.8-1) unstable; urgency=low

  * Initial release (Closes: #797909).

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Apr 2015 17:35:01 +0200

=== debian/control ===
Source: django-downloadview
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django,
               python-mock,
               python-nose,
               python-setuptools,
               python3-all,
               python3-django,
               python3-mock,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/benoitbryon/django-downloadview
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-downloadview.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-downloadview.git

Package: python-django-downloadview
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: efficient static file serving with Django
 django-downloadview makes it easy to serve files with Django:
 .
  * manage files with Django (permissions, filters, generation, ...);
  * files are stored somewhere or generated somehow (local filesystem,
    remote storage, memory...);
  * django-downloadview helps to stream the files with very little
    code;
  * django-downloadview helps to improve performances with reverse
    proxies, via mechanisms such as Nginx’s X-Accel or Apache’s
    X-Sendfile.

Package: python3-django-downloadview
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: efficient static file serving with Django (Python3 version)
 django-downloadview makes it easy to serve files with Django:
 .
  * manage files with Django (permissions, filters, generation, ...);
  * files are stored somewhere or generated somehow (local filesystem,
    remote storage, memory...);
  * django-downloadview helps to stream the files with very little
    code;
  * django-downloadview helps to improve performances with reverse
    proxies, via mechanisms such as Nginx’s X-Accel or Apache’s
    X-Sendfile.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-downloadview
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## django-downloadview 1.9

=== debian/changelog ===
django-downloadview (1.9-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 19:31:35 +0200

django-downloadview (1.9-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Initialize git-dpm.
  * Bump Standards-Version to 3.9.7.
  * Clean up django_downloadview.egg-info/SOURCES.txt to allow two or
    more clean builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Mar 2016 20:09:13 +0200

=== debian/control ===
Source: django-downloadview
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-django,
               python3-mock,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.7
Homepage: https://github.com/benoitbryon/django-downloadview
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-downloadview
Vcs-Git: https://salsa.debian.org/python-team/modules/django-downloadview.git

Package: python3-django-downloadview
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: efficient static file serving with Django (Python3 version)
 django-downloadview makes it easy to serve files with Django:
 .
  * manage files with Django (permissions, filters, generation, ...);
  * files are stored somewhere or generated somehow (local filesystem,
    remote storage, memory...);
  * django-downloadview helps to stream the files with very little
    code;
  * django-downloadview helps to improve performances with reverse
    proxies, via mechanisms such as Nginx’s X-Accel or Apache’s
    X-Sendfile.
 .
 This package contains the Python 3 version of the library.

## django-downloadview 2.1.1

=== debian/changelog ===
django-downloadview (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Jan 2020 14:24:50 +0100

django-downloadview (2.1-1) unstable; urgency=low

  * New upstream release.
  * Add debian/gbp.conf.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.1.
  * Set Rules-Requires-Root: no.
  * Enable autopkgtest-pkg-python testsuite.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Tue, 14 Jan 2020 10:41:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,28 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper-compat (= 9),
-               dh-python,
-               python3-all,
-               python3-django,
-               python3-mock,
-               python3-nose,
-               python3-setuptools
-Standards-Version: 3.9.7
+Uploaders:
+ Michael Fladischer <fladi@debian.org>,
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ python3-all,
+ python3-django,
+ python3-mock,
+ python3-nose,
+ python3-setuptools,
+Standards-Version: 4.5.0
 Homepage: https://github.com/benoitbryon/django-downloadview
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-downloadview
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-downloadview.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-django-downloadview
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: efficient static file serving with Django (Python3 version)
  django-downloadview makes it easy to serve files with Django:
  .

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-downloadview/django-downloadview-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-downloadview 2.3.0

=== debian/changelog ===
django-downloadview (2.3.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Clean up django_downloadview.egg-info/PKG-INFO to allow two builds
    in a row.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Add d/upstream/metadata.
  * Remove python3-django, python3-mock and python3-nose from Build-
    Depends, test cannot run during build.
  * Update year in d/copyright.
  * Add python3-setuptools-scm to Build-Depends as upstream now uses it
    in setup.py.

 -- Michael Fladischer <fladi@debian.org>  Tue, 18 Jan 2022 13:42:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: django-downloadview
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-django,
- python3-mock,
- python3-nose,
  python3-setuptools,
-Standards-Version: 4.5.0
+ python3-setuptools-scm,
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/benoitbryon/django-downloadview
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-downloadview
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-downloadview.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-downloadview
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-downloadview.git
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-downloadview/django-downloadview-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-downloadview 2.4.0

=== debian/changelog ===
django-downloadview (2.4.0-1) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Fix d/watch for new PyPi archive naming policy
  * New upstream version 2.4.0
  * Bump Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Dec 2024 13:22:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/benoitbryon/django-downloadview
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-downloadview
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-downloadview.git

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-downloadview/django_downloadview-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
